在开发应用时,可以使用Alibaba Cloud Toolkit插件实现本地应用和部署在EDAS中的应用的相互调用,即端云互联,而无需搭建VPN,帮助您提升开发效率。

背景信息

目前集成开发环境IDE(Integrated Development Environment)主要包括IntelliJ IDEA和Eclipse。您可以在这两种环境中分别配置Alibaba Cloud Toolkit

开发框架限制

  • 基于Dubbo框架开发的应用需满足下面的版本条件才可支持端云互联:
    • Dubbo 2.7.2 + edas-dubbo-extension 2.0.2及以上版本。
    • Dubbo 2.7.2 + dubbo-nacos-registry 2.7.2及以上版本。
  • 基于Spring Cloud框架开发的应用使用Nacos进行配置管理时,Spring Cloud Alibaba需满足下面的版本才可支持端云互联:
    • Spring Cloud Alibaba 0.9.0
    • Spring Cloud Alibaba 0.2.2
    • Spring Cloud Alibaba 0.1.2

集群类型限制

  • 容器服务Kubernetes集群和自建Kubernetes集群中的应用进行端云互联时,网关桥接ECS实例要选择应用所在集群内的机器。
  • ECS集群和Swarm集群中的应用进行端云互联时,网关桥接ECS实例要选择应用所在VPC内的机器。